Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QWizard.WizardStyle

    java.lang.Object
      java.lang.Enum<QWizard.WizardStyle>
          com.trolltech.qt.gui.QWizard.WizardStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QWizard.WizardStyle>

Enclosing class:
  QWizard

    public static enum QWizard.WizardStyle

extends java.lang.Enum<QWizard.WizardStyle>
implements QtEnumerator

This enum specifies the different looks supported by `QWizard`.

See Also:
  `setWizardStyle`, `WizardOption`, Wizard Look and Feel

Enum Constant Summary
`AeroStyle` Windows Aero look
`ClassicStyle` Classic Windows look
`MacStyle` Mac OS X look
`ModernStyle` Modern Windows look
`NStyles` Internal.

Method Summary
`static QWizard.WizardStyle` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWizard.WizardStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QWizard.WizardStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ClassicStyle

    public static final QWizard.WizardStyle ClassicStyle

  Classic Windows look

### ModernStyle

    public static final QWizard.WizardStyle ModernStyle

  Modern Windows look

### MacStyle

    public static final QWizard.WizardStyle MacStyle

  Mac OS X look

### AeroStyle

    public static final QWizard.WizardStyle AeroStyle

  Windows Aero look

### NStyles

    public static final QWizard.WizardStyle NStyles

  Internal.

Method Detail

### values

    public static final QWizard.WizardStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QWizard.WizardStyle c : QWizard.WizardStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QWizard.WizardStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QWizard.WizardStyle resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD